/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */ 

#pragma once
#include "../../libs.h"
#include "../../display/camera.h"
#include "../../display/shader.h"
#include "../../display/font.h"
#include "../../display/primitive.h"
#include "../../display/renderlist.h"
#include "../../display/texture.h"

typedef struct {
  camera_t camera;

  primitive_t primitive;
  texture_t texture;
  shader_t shader;
  font_t font;
} sandboxscene_t;