/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"
#include "../display/primitive.h"

typedef struct {
  texture_t *texture;
  primitive_t quad;
  float u0, v0;
  float u1, v1;
  float width, height;
} image_t;